#   This file is part of Dirby.
#
#   Foobar is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   Foobar is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

require "dirby/version"
require "dirby/history"
require "dirby/ri"
require "dirby/colorize"

module Dirby
  # Libraries to be loaded at startup
  LIBRARIES = %w{pp irb/completion}

  # Initialize the runtime environment.
  def self.init(opts = {})
    puts "USING DIRBY #{Dirby::VERSION}"

    LIBRARIES.each do |lib|
      begin
        require lib
      rescue LoadError
        nil
      end
    end

    # enable loading/saving history
    History.new(opts) unless opts[:skip_history]

    # enable colorized output
    Colorize.enable(nil)
  end
end
